-- Daily Global Check
-- by Jadya
-- EU-Well of Eternity

local addonName, addonTable = ...

--[[ map functions ]]--

local maps = DailyGlobalCheck.MapFunctions

function maps:resolveCoords(qData)

   local mapdata = {
    [941] = {[962] = {21,18,47.6,46.1} }, -- frostfire ridge
	[946] = {[962] = {30,46,52.5,70} }, -- talador
	[947] = {[962] = {44,56.5,73,85} }, -- shadowmoon valley
	[948] = {[962] = {35,65,58.1,91} }, -- spires of arak
    [949] = {[962] = {35,10,64,45.6} }, -- gorgrond
	[950] = {[962] = {12.5,41.5,38,66.1} }, -- nagrand
	[945] = {[962] = {48,38,68,57}}, -- tanaan jungle
 }

 local default_map = qData[6]
 
 if not default_map or not mapdata[default_map] then return end
 
 local coords = qData[5][default_map]
 local t = qData[5]

 for k,v in pairs(mapdata[default_map]) do
  local x = (v[3] - v[1]) * coords[1] / 100 + v[1]
  local y = (v[4] - v[2]) * coords[2] / 100 + v[2]

  t[k] = {x,y}
 end
end